%global pypi_name Flask-Images

Name:           python-flask-images
Version:        2.1.2
Release:        2%{?dist}
Summary:        Dynamic image resizing for Flask

License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz 

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?fedora} >= 19
Requires:       python-pillow
%else
requires:       python-imaging
%endif
Requires:       python-flask
Requires:       python-itsdangerous

%description
This extension adds a resized_img_src function to the template context, which
creates a URL to dynamically resize an image. This function takes either a path
to a local image (either absolute, or relative to the IMAGES_PATH) or an URL to
a remote image, and returns a URL that will serve a resized version on demand

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

%files
%doc LICENSE.txt README.md

%{python2_sitelib}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Aug 28 2015 Alex Irmel Oviedo Solis <alleinerwolf@gmail.com> - 2.1.2-1
- Updated to new upstream version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 01 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 2.1.1-1
- Updated to new upstream version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Oct 31 2013 Alex Irmel Oviedo solis <alleinerwolf@gmail.com> - 1.0.0-3
- Added Requires: python-itsdangerous

* Wed Oct 30 2013 Alex Irmel Oviedo Solis <alleinerwolf@gmail.com> - 1.0.0-2
- Changed the license from BSD-3 to BSD
- Added Requires: python-pillow/python-imaging
 
* Mon Oct 28 2013 Alex Irmel Oviedo Solis <alleinerwolf@gmail.com> - 1.0.0-1
- Initial packaging attempt

